function onBegin()
	
	disableMovement()
	if not (getFlag("Ch4_EXXENIAKEY02")) then
		makeUnskippable()
	end
	disableRetry()
	
	say("KtA_CTSD_Concept01_00")
	
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
	setFlag("startflashback",true)
end